Pepvote Support Center

Link Voting Event Payment Business

PUT
/voting-events/{idOrCode}/payment-business

Link one of the key owner's payment businesses to the event. Replaces any existing link.

Authorization

bearerAuth
AuthorizationBearer <token>

A key in the form pepvote_api_ followed by 32 hexadecimal characters.

In: header

Header Parameters

User-Agentstringrequired

Name and version of the calling integration. Required on every request.

Path Parameters

idOrCodestringrequired

Voting event ID or code.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

paymentBusinessIdstringrequired

ID of a payment business from GET /payment-businesses.

  • Length: at least 1 character

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/voting-events/string/payment-business" \  -H "User-Agent: my-app/1.0" \  -H "Content-Type: application/json" \  -d '{    "paymentBusinessId": "string"  }'
{
  "data": {
    "id": "string",
    "name": "string",
    "provider": "stripe",
    "country": "string",
    "status": "pending",
    "ready": true,
    "supportedCurrencies": [
      "string"
    ],
    "createdAt": 0
  }
}
{
  "error": {
    "code": "bad_request",
    "message": "string",
    "details": {
      "field": "string",
      "parameter": "string",
      "limit": 0,
      "retryAfterSeconds": 0,
      "feature": "string",
      "plan": "string"
    }
  }
}
{
  "error": {
    "code": "bad_request",
    "message": "string",
    "details": {
      "field": "string",
      "parameter": "string",
      "limit": 0,
      "retryAfterSeconds": 0,
      "feature": "string",
      "plan": "string"
    }
  }
}
Was this helpful?

Last updated September 6, 2026